<div class="file-upload" style="display: flex; align-items: center; gap: 20px">
  <p-fileUpload
    #fileUpload
    mode="basic"
    name="file"
    accept=".svg"
    customUpload="true"
    maxFileSize="1000000"
    chooseLabel="Füge einen Icon im Format SVG hinzu"
    (onSelect)="onFileSelect($event, fileUpload)"
  ></p-fileUpload>
  <div *ngIf="previewUrl">
    <img
      [src]="previewUrl"
      alt="SVG Preview"
      style="max-width: 200px; max-height: 200px"
    />
  </div>
  <div *ngIf="currentFilename && !previewUrl">
    <img
      [src]="config.apiBaseUrl + '/files/' + currentFilename"
      alt=""
      style="max-width: 200px; max-height: 200px"
    />
  </div>
</div>
